- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
Can anyone guide me to transform the placed instance family.
Below is the code i am using to place the family at every model line ends.
foreach (ModelLine mline in mLines) { LocationCurve lCurve = mline.Location as LocationCurve; Line c = lCurve.Curve as Line; XYZ pt1 = c.GetEndPoint(0); XYZ pt2 = c.GetEndPoint(1); FamilyInstance fi = _doc.Create.NewFamilyInstance(pt1, symbol, level, StructuralType.NonStructural); Parameter para_1 = fi.LookupParameter("instance_x"); para_1.Set(pt1.X); Parameter para_2 = fi.LookupParameter("instance_y"); para_1.Set(pt1.Y); }
Solved! Go to Solution.